@import "bootstrap";
@import "gritter";

/*
 * Globals
 */

/* Links */
a,
a:focus,
a:hover {
  color: #fff;
}

/* Custom default button */
.btn-secondary,
.btn-secondary:hover,
.btn-secondary:focus {
  color: #333;
  text-shadow: none; /* Prevent inheritance from `body` */
  background-color: #fff;
  border: 0.05rem solid #fff;
}

/*
 * Base structure
 */

html,
body {
  height: 100%;
  font-family: "Lato", sans-serif;
}
body {
  color: #fff;
  text-align: center;
  text-shadow: 0 0.05rem 0.1rem rgba(0, 0, 0, 0.5);
  background-image: url("home2.png"),
    linear-gradient(135deg, rgb(68, 98, 230), black 60%, cyan);
  background-size: cover;
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  font-family: "Lato", serif;
}

/* Extra markup and styles for table-esque vertical and horizontal centering */
.site-wrapper {
  display: table;
  width: 100%;
  height: 100%; /* For at least Firefox */
  min-height: 100%;
  -webkit-box-shadow: inset 0 0 5rem rgba(0, 0, 0, 0.5);
  box-shadow: inset 0 0 5rem rgba(0, 0, 0, 0.5);
}
.site-wrapper-inner {
  display: table-cell;
  vertical-align: top;
}
.cover-container {
  margin-right: auto;
  margin-left: auto;
}

/* Padding for spacing */
.inner {
  padding: 2rem;
}

/*
 * Header
 */

.masthead {
  margin-bottom: 2rem;
}

.masthead-brand {
  margin-bottom: 0;
}

.nav-masthead .nav-link {
  padding: 0.25rem 0;
  font-weight: bold;
  color: rgba(255, 255, 255, 0.5);
  background-color: transparent;
  border-bottom: 0.25rem solid transparent;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  border-bottom-color: rgba(255, 255, 255, 0.25);
}

.nav-masthead .nav-link + .nav-link {
  margin-left: 1rem;
}

.nav-masthead .active {
  color: #fff;
  border-bottom-color: #fff;
}

@media (min-width: 48em) {
  .masthead-brand {
    float: left;
  }
  .nav-masthead {
    float: right;
  }
}

/*
 * Cover
 */

.cover {
  padding: 0 1.5rem;
  box-shadow: 1px 2px lightyellow;
}
.cover .btn-lg {
  padding: 0.75rem 1.25rem;
  font-weight: bold;
}

/*
 * Footer
 */

.mastfoot {
  color: rgba(255, 255, 255, 0.5);
}

/*
 * Affix and center
 */

@media (min-width: 40em) {
  /* Pull out the header and footer */
  .masthead {
    position: fixed;
    top: 0;
  }
  .mastfoot {
    position: fixed;
    bottom: 0;
  }
  /* Start the vertical centering */
  .site-wrapper-inner {
    vertical-align: middle;
  }
  /* Handle the widths */
  .masthead,
  .mastfoot,
  .cover-container {
    width: 100%; /* Must be percentage or pixels for horizontal alignment */
  }
}

@media (min-width: 62em) {
  .masthead,
  .mastfoot,
  .cover-container {
    width: 65rem;
  }
}

/*
 * Custom Styles
 */

.card-block {
  color: black;
  text-align: left;
}

.auth-links a {
  color: black;
}

.register-text {
  text-align: right;
}

.login > .card {
  width: 22rem;
  margin: 0 auto;
  float: none;
}

.app-nav span {
  margin-left: 15px;
  margin-right: 15px;
}

#background {
  position: fixed;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  // z-index: 1;
  -webkit-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  background: image-url("home_bg.png") no-repeat;
  background-size: cover;
}

.app-footer {
  color: white;
}

.tech-news {
  color: black;
  margin: 20px;
}

.tech-news > .card {
  padding: 30px;
}

.tech-news a {
  color: green;
}

.app-card-container {
  color: black;
  text-align: left;
}

.app-card-container > .card {
  padding: 40px;
}

.profile-img {
  border: 1px solid grey;
}

.app-card-container a {
  color: blue;
}

.card-block {
  margin-top: 5px;
  margin-bottom: 5px;
}

.skill {
  margin-top: 10px;
  margin-bottom: 10px;
}
